#include <avr/io.h>
#include "peri.h"

void init_peri(){
	DDRB |= (1<<PB0);
	DDRC |= (1<<PC0) | (1<<PC1);
	DDRD &= ~((1<<PD0) | (1<<PD1)); 
}


void set_led(uint8_t pin, uint8_t state){
	if(pin > 2) return;
	if(state){
		PORTC |= (1<<pin);
	}
	else{
		PORTC &= ~(1<<pin);
	}
	
}

void set_led_value(uint8_t value){
        PORTC &= ~(0b111);
        PORTC |= (value&0b111);
}

void set_buzzer(uint8_t state)
{
	if(state==1){
   		PORTB|=(0b111);
	}
	else{
   		PORTB &= ~(0b111);	
	}
}
uint16_t read_adc(uint8_t channel){

	ADMUX = (0<<REFS1)|(1<<REFS0)
		| (0<<ADLAR)
		| (channel & 0b1111);

	ADCSRA = (1<<ADEN)
		| (1<<ADPS2)|(1<<ADPS1)|(1<<ADPS0)
		| (1<<ADSC);

	while ((ADCSRA & (1<<ADSC)))
		;

	return ADCL + ADCH*256;
}