import RPi.GPIO as GPIO
from YOGA import find_mcu_boards, McuBoard, PeriBoard
from flask import Flask, render_template, redirect, url_for, jsonify
 
devices = find_mcu_boards()
mcu = McuBoard(devices[0])
peri = PeriBoard(mcu)
app = Flask(__name__)
GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)
score1 = 17
score2 = 27
score1STS= GPIO.LOW
score2STS= GPIO.LOW

GPIO.setup(score1, GPIO.IN)   
GPIO.setup(score2, GPIO.IN)

@app.route("/get_score_player1")
def getter_score_player1():
	return jsonify({'data': int(GPIO.input(17))}) 

@app.route("/get_score_player2")
def getter_score_player2():
	return jsonify({'data': int(GPIO.input(27))}) 


@app.route("/")
def yoga_start():
	return render_template('YOGA_start.html')
@app.route("/easy_countdown")
def yoga_easy_countdown():
	return render_template('YOGA_EASY_countdown.html')
@app.route("/easy")
def yoga_easy():
	return render_template('YOGA_EASY.html')
	# score1STS= GPIO.input(17)
	# score2STS= GPIO.input(27)
	# print("debug krub",score1STS, score2STS)
	# templateData = {
    #     'score1'  : int(not score1STS),
    #     'score2'  : int(not score2STS)
    #     }
	# return render_template('YOGA_EASY.html',**templateData)
@app.route("/normal_countdown")
def yoga_normal_countdown():
	return render_template('YOGA_NORMAL_COUNTDOWN.html')
@app.route("/normal")
def yoga_normal():
	return render_template('YOGA_NORMAL.html')
	# score1STS= GPIO.input(score1)
	# score2STS= GPIO.input(score2)
	# templateData = {
    #     'score1'  : score1STS,
    #     'score2'  : score2STS
    #     }
	# return render_template('YOGA_NORMAL.html',**templateData)
@app.route("/hard_countdown")
def yoga_hard_countdown():
	return render_template('YOGA_HARD_COUNTDOWN.html')
@app.route("/hard")
def yoga_hard():
	return render_template('YOGA_HARD.html')
	# score1STS= GPIO.input(score1)
	# score2STS= GPIO.input(score2)
	# templateData = {
    #     'score1'  : score1STS,
    #     'score2'  : score2STS
    #     }
	# return render_template('YOGA_HARD.html',**templateData)
@app.route("/score1")
def score1():
	return render_template('SCORE1.html')
@app.route("/score2")
def score2():
	return render_template('SCORE2.html')
@app.route("/scoreE")
def scoreE():
	return render_template('SCORE_E.html')


@app.after_request
def after_request(response):
    response.headers.add('Access-Control-Allow-Origin', '*')
    response.headers.add('Access-Control-Allow-Headers', 'Content-Type,Authorization')
    response.headers.add('Access-Control-Allow-Methods', 'GET,PUT,POST,DELETE,OPTIONS')
    return response


if __name__ == '__main__':
    app.run(debug=True,port=8000, host='0.0.0.0')
